<?php 



session_start();



ini_set('display_errors',1);



date_default_timezone_set('America/Lima');

if($_SESSION["sistema"]!= "1"){ header("location: ../../index.php"); exit();}





require_once ("../../config/Cado.php");



//ini_set('display_errors', 1);



/*

if($_POST['hdd_action']=='insertar'){



 foreach ( $_POST["chk_documento"] as $como ) { 

         

            echo $como; 

           

     }







}

*/



require_once ("../canjeproveedor/cCanjeproveedor.php");

$oCanjeproveedor = new cCanjeproveedor();



require_once("../almacen/cAlmacen.php");

$oAlmacen = new cAlmacen();



require_once("../formatos/formato.php");



require_once("../compra/cCompra.php");

$oCompra = new cCompra();



require_once("../compra/cComprapago.php");

$oComprapago = new cComprapago();





if($_POST['action']=='insertar'){



$mon_id=$_POST['hdd_mon_id'];

$est=1;



$dts1=$oAlmacen->mostrarAlmCajEmp($_POST['hdd_emp_id']);

$dt1 = mysqli_fetch_array($dts1);

$emp=$dt1['tb_empresa_id'];

$punven_id=$dt1['tb_puntoventa_id'];

$piso_id=$dt1['tb_piso_id'];

$almid = $dt1['tb_almacen_id'];

$cajid = $dt1['tb_caja_id'];

mysqli_free_result($dts1);





$oCanjeproveedor->insertar_canje(

	fecha_mysql($_POST['txt_canje_fec']),

	$_POST['hdd_emp_id'],

	$_POST['hdd_prov_id'],

	$_POST['txt_canje_aval'],

	$_POST['hdd_mon_id'],

	$_POST['hdd_can_tot']

	);



$dts=$oCanjeproveedor->ultimoInsert();

 		$dt = mysqli_fetch_array($dts);

 		$canprov_id=$dt['id'];

 		mysqli_free_result($dts);









foreach($_SESSION['canpag_mon'] as $indice=>$valor)

	{



 //$_SESSION['cancom_id'][$numdoc]; 



		if($mon_id ==1){

			$tipcam = '1.00';

		}else if($mon_id==2){

			$tipcam = '3.20';

		}



	$oCompra->insertar(

			fecha_mysql($_SESSION['canpag_fecemi'][$indice]), // fecha de compra

			//fecha_mysql($_POST['txt_com_fec_emi']), // fecha de compra

			'22', // documento de compra 	| factura | boleta

			$_SESSION['canpag_numlet'][$indice],// numero de documento

			$mon_id,// tipo de moneda 		|SOL | DOLAR

			'3.20',//$_POST['txt_com_tipcam']'',// tipo de cambio si la moneda fuese dolares

			$_POST['hdd_prov_id'], // id proveedor

			moneda_mysql($_POST['txt_com_valven']), // sub total

			moneda_mysql($_POST['txt_com_des']),   	// valor de la compra

			moneda_mysql($_POST['txt_com_valven']),   	// valor de la compra

			moneda_mysql($_POST['txt_com_igv']),   		// igv de la compra

			moneda_mysql($_SESSION['canpag_mon'][$indice]),   		// total de la compra

			$est,   					// estado 1REGISTRADA - 2CANCELADA

			$almid,   				// almacen de productos

			$_SESSION['usuario_id'],   					// USUARIO ID

			$emp, 						// EMPRESA ID

			$punven_id, 						// PUNTO VENTA ID

			$piso_id,			// PISO ID

			$_POST['cmb_per_mes'],

			$_POST['cmb_per_anio'],

			$_POST['txt_com_nroped'],

			$_POST['txt_com_nroordcom'],

			$_POST['txt_com_nroguia_e'],

			$_POST['txt_com_nroguia_t'],

			$_POST['txt_com_ref'],

			fecha_mysql($_POST['txt_com_fecguia']),

			$_POST['txt_com_opeina'],

			$_POST['txt_com_opeexo'],

			$_POST['txt_com_opegra']

			//$_POST['cmb_com_tippro']

		);



		$dts=$oCompra->ultimoInsert();

 		$dt = mysqli_fetch_array($dts);

 		$com_id=$dt['id'];

 		mysqli_free_result($dts);

	

				$fecha_hoy = $_SESSION['canpag_fecven'][$indice];

				list($day,$mon,$year) = explode('-',$fecha_hoy);

				$fecha8dias=date('d-m-Y',mktime(0,0,0,$mon,$day+8,$year));

	

			$oComprapago->insertar(

				$_POST['cmb_forpag_id'], //forma pago

				$_POST['cmb_modpag_id'],	// modo pago

				moneda_mysql($_SESSION['canpag_mon'][$indice]),

				$cajid, // ID CAJA		

				$_SESSION['canpag_numdia'][$indice], //num dias

				fecha_mysql($_SESSION['canpag_fecven'][$indice]), //fecha vencimento

				fecha_mysql($fecha8dias), //fecha vencimento

				'2',

				$com_id	,

				$_SESSION['canpag_numunilet'][$indice],

				$_SESSION['canpag_ref'][$indice],

				$_SESSION['canpag_lugar'][$indice],

				$_POST['txt_canje_aval'],

				'',

				''

			);





	$dts=$oComprapago->ultimoInsert();

 		$dt = mysqli_fetch_array($dts);

 		$compagid=$dt['id'];

 		mysqli_free_result($dts);





			$oCanjeproveedor->insertar_letra(

			$canprov_id,

			$compagid

			);



}











foreach($_SESSION['cancom_id'] as $comid){

	       

	        $dts1 = $oCanjeproveedor->mostrar_documento_proveedor($_POST['hdd_prov_id'],$_POST['hdd_emp_id'],$comid,$_POST['hdd_mon_id'],'');

			$dt = mysqli_fetch_array($dts1);

			$fec	= mostrarFecha($dt['tb_compra_fec']);

			$numdoc	= $dt['tb_compra_numdoc'];

			$docnom = $dt['tb_documento_nom'];

			$tot = $dt['tb_compra_tot'];

			mysqli_free_result($dts1);





			



$oCanjeproveedor->insertar_documento(

	$canprov_id,

	$dt['tb_compra_id']

	);



$oCompra->modificar_campo($dt['tb_compra_id'],'canest','1');





			$dts2=$oComprapago->filtrar($dt['tb_compra_id']);    

       		while($dt2 = mysqli_fetch_array($dts2))

       		{

       		

       		if($dt2['tb_comprapago_est']==2){

       		$est = 3;

			$oCanjeproveedor->modificar_comprapago($dt2['tb_comprapago_id'],$est);





        	}



        	}



		}





		$data['msj'] = 'Canje realizado con exito';



echo json_encode($data);





}











if($_POST['action']=='agregarnumdoc'){



	echo $_POST['can_numdoc'].' - ';

	echo $_POST['comid']; 



	$_SESSION['can_numdoc'][$_POST['comid']] = $_POST['can_numdoc']; 



	$_SESSION['cancom_id'][$_POST['comid']] = $_POST['comid']; 



	



}







if($_POST['action']=='quitarnumdoc'){



	echo $_POST['can_numdoc'].' - ';

	echo $_POST['comid'].' - ';





	unset($_SESSION['can_numdoc'][$_POST['comid']]);

	unset($_SESSION['cancom_id'][$_POST['comid']]); 

	

	

}







if($_POST['action']=='restablecer'){



	unset($_SESSION['can_numdoc']);

	unset($_SESSION['cancom_id']);



	unset($_SESSION['canpag_mon']);

	unset($_SESSION['canpag_numdia']);

	unset($_SESSION['canpag_numlet']);

	unset($_SESSION['canpag_fecven']);



	unset($_SESSION['canpag_ref']);

	unset($_SESSION['canpag_lugar']);

	unset($_SESSION['canpag_numunilet']);



	unset($_SESSION['canpag_fecemi']);





}

















?>